net.minecraft.client.mco

## Class McoClient

- java.lang.Object
- - net.minecraft.client.mco.McoClient

-     public class McoClient
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `McoClient(Session par1Session)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `McoServerAddress` | `func_96374_a(long par1)`
    `Boolean` | `func_96375_b()`
    `Boolean` | `func_96376_d(long par1)`
    `Boolean` | `func_96378_c(long par1)`
    `int` | `func_96379_c()`
    `void` | `func_96381_a(long par1, String par3Str)`
    `ValueObjectList` | `func_96382_a()`
    `Boolean` | `func_96383_b(long par1)`
    `void` | `func_96384_a(long par1, String par3Str, String par4Str)`
    `Locations` | `func_96385_d()`
    `void` | `func_96386_a(String par1Str, String par2Str, String par3Str)`
    `McoServer` | `func_96387_b(long par1, String par3Str)`
    `McoServer` | `func_98176_a(long par1)`
    `ValueObjectSubscription` | `func_98177_f(long par1)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### McoClient

          public McoClient(Session par1Session)

  - ### Method Detail

    - #### func_96382_a

          public ValueObjectList func_96382_a()
                                       throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_98176_a

          public McoServer func_98176_a(long par1)
                                 throws ExceptionMcoService,
                                        IOException

      Throws:
        `ExceptionMcoService`
        `IOException`

    - #### func_96374_a

          public McoServerAddress func_96374_a(long par1)
                                        throws ExceptionMcoService,
                                               IOException

      Throws:
        `ExceptionMcoService`
        `IOException`

    - #### func_96386_a

          public void func_96386_a(String par1Str,
                          String par2Str,
                          String par3Str)
                            throws IOException,
                                   ExceptionMcoService,
                                   UnsupportedEncodingException

      Throws:
        `IOException`
        `ExceptionMcoService`
        `UnsupportedEncodingException`

    - #### func_96375_b

          public Boolean func_96375_b()
                               throws ExceptionMcoService,
                                      IOException

      Throws:
        `ExceptionMcoService`
        `IOException`

    - #### func_96379_c

          public int func_96379_c()
                           throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_96381_a

          public void func_96381_a(long par1,
                          String par3Str)
                            throws ExceptionMcoService

      Throws:
        `ExceptionMcoService`

    - #### func_96387_b

          public McoServer func_96387_b(long par1,
                               String par3Str)
                                 throws ExceptionMcoService,
                                        IOException

      Throws:
        `ExceptionMcoService`
        `IOException`

    - #### func_96384_a

          public void func_96384_a(long par1,
                          String par3Str,
                          String par4Str)
                            throws ExceptionMcoService,
                                   UnsupportedEncodingException

      Throws:
        `ExceptionMcoService`
        `UnsupportedEncodingException`

    - #### func_96383_b

          public Boolean func_96383_b(long par1)
                               throws ExceptionMcoService,
                                      IOException

      Throws:
        `ExceptionMcoService`
        `IOException`

    - #### func_96378_c

          public Boolean func_96378_c(long par1)
                               throws ExceptionMcoService,
                                      IOException

      Throws:
        `ExceptionMcoService`
        `IOException`

    - #### func_96376_d

          public Boolean func_96376_d(long par1)
                               throws ExceptionMcoService,
                                      IOException

      Throws:
        `ExceptionMcoService`
        `IOException`

    - #### func_96385_d

          public Locations func_96385_d()
                                 throws ExceptionMcoService,
                                        IOException

      Throws:
        `ExceptionMcoService`
        `IOException`

    - #### func_98177_f

          public ValueObjectSubscription func_98177_f(long par1)
                                               throws ExceptionMcoService,
                                                      IOException

      Throws:
        `ExceptionMcoService`
        `IOException`